%define anolis_release 1
%global pypi_name diskcache
%global pypi_version 5.6.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Disk Cache -- Disk and file backed persistent cache

License:        Apache 2.0
URL:            http://www.grantjenks.com/docs/diskcache/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
DiskCache is an Apache2 licensed disk and file backed cache library, written
in pure-Python, and compatible with Django.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
DiskCache is an Apache2 licensed disk and file backed cache library, written
in pure-Python, and compatible with Django.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%tox -e py

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Apr 16 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 5.6.3-1
- Initial package.
